import { jsx as _jsx } from "react/jsx-runtime";
import { define, incubate } from '@just-web/app';
import { formatJSGizmoFn } from '@just-web/formatjs';
import { RawIntlProvider } from 'react-intl';
export const reactIntlGizmoFn = define((options) => ({
    static: define.require(),
    async create({ react }) {
        const { formatjs } = await incubate().with(formatJSGizmoFn(options)).create();
        return [
            {
                react_intl: {
                    intl: formatjs.intl
                }
            },
            () => react.providers.register(({ children }) => (_jsx(RawIntlProvider, { value: formatjs.intl, children: children })))
        ];
    }
}));
//# sourceMappingURL=react_intl_gizmo.js.map